%define upstream_name    HTTP-Message
%define upstream_version 6.44

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Class encapsulating HTTP Requests
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/HTTP/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Clone) >= 0.460.0
BuildRequires: perl(Compress::Raw::Bzip2)
BuildRequires: perl(Compress::Raw::Zlib) >= 2.62.0
BuildRequires: perl(Encode) >= 3.10.0
BuildRequires: perl(Encode::Locale) >= 1.0.0
BuildRequires: perl(Exporter) >= 5.570.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(HTTP::Date) >= 6.0.0
BuildRequires: perl(IO::Compress::Bzip2) >= 2.21.0
BuildRequires: perl(IO::Compress::Deflate)
BuildRequires: perl(IO::Compress::Gzip)
BuildRequires: perl(IO::HTML)
BuildRequires: perl(IO::Uncompress::Inflate)
BuildRequires: perl(IO::Uncompress::RawInflate)
BuildRequires: perl(LWP::MediaTypes) >= 6.0.0
BuildRequires: perl(MIME::Base64) >= 2.100.0
BuildRequires: perl(MIME::QuotedPrint)
BuildRequires: perl(PerlIO::encoding)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Test::Needs)
BuildRequires: perl(Time::Local)
BuildRequires: perl(Try::Tiny)
BuildRequires: perl(URI) >= 1.100.0
BuildRequires: perl(URI::URL)
BuildRequires: perl(lib)
BuildRequires: perl(overload)
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
An 'HTTP::Config' object is a list of entries that can be matched against
request or request/response pairs. Its purpose is to hold configuration
data that can be looked up given a request or response object.

Each configuration entry is a hash. Some keys specify matching to occur
against attributes of request/response objects. Other keys can be used to
hold user data.

The following methods are provided:

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc CONTRIBUTORS Changes INSTALL LICENSE META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Mon Oct 31 2022 tv <tv> 6.440.0-1.mga9
+ Revision: 1900659
- update to 6.44

* Thu Oct 27 2022 tv <tv> 6.430.0-1.mga9
+ Revision: 1899637
- update to 6.43

* Thu Oct 20 2022 tv <tv> 6.420.0-1.mga9
+ Revision: 1897881
- update to 6.42

* Sat Oct 15 2022 tv <tv> 6.410.0-1.mga9
+ Revision: 1896898
- update to 6.41

* Wed Oct 12 2022 tv <tv> 6.390.0-1.mga9
+ Revision: 1896415
- update to 6.39

* Wed Jun 15 2022 tv <tv> 6.370.0-1.mga9
+ Revision: 1864492
- update to 6.37

* Mon Mar 28 2022 umeabot <umeabot> 6.360.0-2.mga9
+ Revision: 1830555
- Mageia 9 Mass Rebuild

* Thu Jan 06 2022 tv <tv> 6.360.0-1.mga9
+ Revision: 1767131
- update to 6.36

* Mon Nov 15 2021 tv <tv> 6.350.0-1.mga9
+ Revision: 1756666
- update to 6.35

* Thu Nov 11 2021 tv <tv> 6.340.0-1.mga9
+ Revision: 1755859
- update to 6.34

* Tue Jun 29 2021 tv <tv> 6.330.0-1.mga9
+ Revision: 1734165
- update to 6.33

* Thu May 20 2021 tv <tv> 6.320.0-1.mga9
+ Revision: 1725831
- update to 6.32

* Wed May 12 2021 tv <tv> 6.310.0-1.mga9
+ Revision: 1722592
- update to 6.31

* Tue Mar 09 2021 tv <tv> 6.290.0-1.mga9
+ Revision: 1700782
- update to 6.29

* Thu Feb 25 2021 tv <tv> 6.280.0-1.mga9
+ Revision: 1690229
- update to 6.28

* Fri Sep 11 2020 tv <tv> 6.260.0-1.mga8
+ Revision: 1624422
- update to 6.26

* Mon Jun 29 2020 tv <tv> 6.250.0-1.mga8
+ Revision: 1600301
- update to 6.25

* Tue May 12 2020 tv <tv> 6.240.0-1.mga8
+ Revision: 1583285
- update to 6.24

* Fri Feb 28 2020 tv <tv> 6.220.0-1.mga8
+ Revision: 1551950
- update to 6.22

* Wed Feb 12 2020 umeabot <umeabot> 6.180.0-3.mga8
+ Revision: 1504703
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 6.180.0-2.mga7
+ Revision: 1284059
- Mageia 7 Mass Rebuild

* Thu Jun 07 2018 tv <tv> 6.180.0-1.mga7
+ Revision: 1235129
- update to 6.18

* Thu Mar 29 2018 tv <tv> 6.160.0-1.mga7
+ Revision: 1213420
- update to 6.16

* Wed Mar 14 2018 tv <tv> 6.150.0-1.mga7
+ Revision: 1209278
- update to 6.15

* Sun Dec 24 2017 tv <tv> 6.140.0-1.mga7
+ Revision: 1184396
- update to 6.14

* Sat Jul 22 2017 shlomif <shlomif> 6.130.0-1.mga7
+ Revision: 1128630
- update to 6.13

* Sun Jun 19 2016 pterjan <pterjan> 6.110.0-3.mga6
+ Revision: 1028439
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 6.110.0-2.mga6
+ Revision: 970011
- Mageia 6 Mass Rebuild

* Mon Sep 28 2015 sander85 <sander85> 6.110.0-1.mga6
+ Revision: 884633
- update to 6.11

* Mon Jul 20 2015 sander85 <sander85> 6.100.0-1.mga6
+ Revision: 855685
- update to 6.10

* Sun Jul 19 2015 sander85 <sander85> 6.90.0-1.mga6
+ Revision: 855369
- update to 6.09

* Mon Jul 13 2015 sander85 <sander85> 6.80.0-1.mga6
+ Revision: 853565
- update to 6.08

* Wed Oct 15 2014 umeabot <umeabot> 6.60.0-5.mga5
+ Revision: 746362
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 6.60.0-4.mga5
+ Revision: 685005
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 6.60.0-3.mga4
+ Revision: 512158
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 6.60.0-2.mga3
+ Revision: 368295
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 06 2012 jquelin <jquelin> 6.60.0-1.mga3
+ Revision: 315077
- update to 6.06

* Mon Oct 01 2012 jquelin <jquelin> 6.40.0-1.mga3
+ Revision: 301361
- update to 6.04

* Thu Feb 23 2012 jquelin <jquelin> 6.30.0-1.mga2
+ Revision: 212960
- update to 6.03

* Thu Mar 24 2011 jquelin <jquelin> 6.20.0-1.mga1
+ Revision: 76634
- update to 6.02

* Thu Mar 10 2011 jquelin <jquelin> 6.10.0-1.mga1
+ Revision: 67431
- update to 6.01

* Wed Mar 02 2011 jquelin <jquelin> 6.0.0-1.mga1
+ Revision: 62548
- imported package perl-HTTP-Message

